## Macro BOOST_LOG_DECLARE_LOGGER_MT

BOOST_LOG_DECLARE_LOGGER_MT — The macro declares a narrow-char thread-safe logger class that inherits a number of base classes.

## Synopsis

    // In header: <boost/log/sources/basic_logger.hpp>

    BOOST_LOG_DECLARE_LOGGER_MT(type_name, base_seq)

## Description

Equivalent to `BOOST_LOG_DECLARE_LOGGER_TYPE(type_name, char, base_seq, multi_thread_model< shared_mutex >)`

Parameters:

`base_seq` | A Boost.Preprocessor sequence of type identifiers of the base classes templates
`type_name` | The name of the logger class to declare